Skip to main content
POST
/
api
/
onboarding
/
rwanda_kyc
/
passport
/
Rwanda Passport
curl --request POST \
  --url https://adhere-api.smartcomply.com/api/onboarding/rwanda_kyc/passport/ \
  --header 'Content-Type: application/json' \
  --header 'x-access-token: <api-key>' \
  --data '
{
  "passport_number": "<string>"
}
'
import requests

url = "https://adhere-api.smartcomply.com/api/onboarding/rwanda_kyc/passport/"

payload = { "passport_number": "<string>" }
headers = {
"x-access-token": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({passport_number: '<string>'})
};

fetch('https://adhere-api.smartcomply.com/api/onboarding/rwanda_kyc/passport/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "failed",
  "data": [
    "<unknown>"
  ],
  "message": "<string>"
}
{
"status": "failed",
"message": "Authentication credentials were not provided."
}
The Rwanda Passport endpoint validates a passport number against Rwanda’s passport registry and returns the associated personal details.

Endpoint

POST /api/onboarding/rwanda_kyc/passport/

Request

Headers

HeaderValueRequired
x-access-tokenYour API secret keyYes
Content-Typeapplication/jsonYes

Body Parameters

ParameterTypeRequiredDescription
passport_numberstringYesThe customer’s passport number

Example

curl -X POST "https://adhere-api.smartcomply.com/api/onboarding/rwanda_kyc/passport/" \
  -H "x-access-token: YOUR_SECRET_KEY" \
  -H "Content-Type: application/json" \
  -d '{"passport_number": "PD000000"}'

Response

200 OK

FieldTypeDescription
data.PassportNostringPassport number
data.FirstNamestringFirst name
data.LastNamestringLast name
data.MiddleNamestringMiddle name
data.NationalitystringNationality
data.DateOfBirthstringDate of birth (DD/MM/YYYY)
data.GenderstringGender
data.PlaceOfBirthstringPlace of birth
data.PlaceOfIssuestringPlace of issue
data.IssueDatestringIssue date (DD/MM/YYYY)
data.ExpiryDatestringExpiry date (DD/MM/YYYY)
data.PicturestringBase64-encoded passport photo
data.SignaturestringBase64-encoded signature
{
  "status": "success",
  "data": {
    "PassportNo": "G0000575",
    "FirstName": "SAMUEL",
    "LastName": "DENU",
    "MiddleName": "KWABLA",
    "Nationality": "RWANDAN",
    "DateOfBirth": "23/05/1952",
    "Gender": "MALE",
    "PlaceOfBirth": "KIGALI",
    "PlaceOfIssue": "KIGALI",
    "IssueDate": "30/03/2010",
    "ExpiryDate": "30/03/2015",
    "Picture": "<base64-encoded-jpeg>",
    "Signature": "<base64-encoded-jpeg>"
  },
  "message": "Passport details retrieved successfully"
}

400 Bad Request

{
  "status": "failed",
  "data": [],
  "message": "Missing required fields"
}

401 Unauthorized

{
  "status": "failed",
  "message": "Authentication credentials were not provided."
}

Authorizations

x-access-token
string
header
required

Your Adhere API secret key

Body

application/json
passport_number
string
required

Response

Passport verified